org.bdgenomics.adam.cli

# TransformVariantsArgs

###
Related Doc: package cli

#### class TransformVariantsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformVariantsArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformVariantsArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var asSingleFile: Boolean

   Definition Classes
     TransformVariantsArgs → ADAMSaveAnyArgs

6. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var coalesce: Int

9. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

10. #### var deferMerging: Boolean

    Definition Classes
      TransformVariantsArgs → ADAMSaveAnyArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var disableFastConcat: Boolean

    Definition Classes
      TransformVariantsArgs → ADAMSaveAnyArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### var forceShuffle: Boolean

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### var inputPath: String

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### var logLevel: String

    Definition Classes
      ParquetArgs

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### var outputPath: String

    Definition Classes
      TransformVariantsArgs → SaveArgs

27. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

28. #### var partitionByStartPos: Boolean

29. #### var partitionedBinSize: Int

30. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

31. #### var sort: Boolean

32. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformVariantsArgs → ADAMSaveAnyArgs

33. #### var sortLexicographically: Boolean

34. #### var stringency: String

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped